[gelöst:]3.99.9: Warnung bei Installation Modul Produktartikel

Wir starten bald mit wpShopGermany4. Alle Fragen dazu dürfen hier gestellt werden.
Alle Informationen dazu gibt es im Blog: https://beta4.wpshopgermany.de

Moderatoren: ThoGoe, maennchen1.de

Benutzeravatar
solala
Beiträge: 562
Registriert: 23.09.2011, 20:41
Lizenz: wpShopGermany Enterprise

[gelöst:]3.99.9: Warnung bei Installation Modul Produktartikel

Beitragvon solala » 21.10.2017, 10:46

Hallo,
als ich die Produktartikel installiert habe, kam dann sofort eine Warnung:
Warning: Declaration of wpsg_mod_produktartikel::getProduktlink($product_id, &$url) should be compatible with wpsg_mod_basic::getProduktlink($produkt_id, &$url, $language_code = false) in /var/www/web123/html/wordpress/wp-content/plugins/wpshopgermany-free/mods/wpsg_mod_produktartikel.class.php on line 1303


Als ich in die Produktverwaltung wechseln wollte kam gleich noch dazu:
SYSTEMFEHLER:Datenbankfehler: Unknown column 'wpsg_produkt_id' in 'where clause'


Als ich dann die DB aktualisieren wollte kam ein Whitescreen:
Warning: Declaration of wpsg_mod_produktartikel::getProduktlink($product_id, &$url) should be compatible with wpsg_mod_basic::getProduktlink($produkt_id, &$url, $language_code = false) in /var/www/web123/html/fillershop_ohne_www/wp-content/plugins/wpshopgermany-free/mods/wpsg_mod_produktartikel.class.php on line 1303

Warning: Cannot modify header information - headers already sent by (output started at /var/www/web123/html/wordpress/wp-content/plugins/wpshopgermany-free/mods/wpsg_mod_produktartikel.class.php:1303) in /var/www/web123/html/wordpress/wp-content/plugins/wpshopgermany-free/controller/wpsg_SystemController.class.php on line 101


"Interessant" fand ich auch, dass obwohl ich die 3.99.9 installiert habe, in der Modulverwaltung als verfügbare Version nur die 3.99.8er Module aufgelistet sind.
Zuletzt geändert von solala am 23.10.2017, 12:31, insgesamt 1-mal geändert.
Viele Grüße,
von dem der solala programmieren kann.
Produktive Version im Web: 2.5.8 und 3.2.3
"Entwicklungs"-Version auf localhost (Ubuntu 13.10): 3.4.2 mit WP 3.9.1
Antworten bekommt nur noch der, der auch grüßt.

Benutzeravatar
ThoGoe
m1.Mitarbeiter
Beiträge: 2554
Registriert: 21.07.2014, 08:25
Lizenz: wpShopGermany Enterprise

Re: 3.99.9: Warnung bei Installation Modul Produktartikel

Beitragvon ThoGoe » 23.10.2017, 09:34

Hallo!

Das Problem mit den angezeigten 3.99.8-Modulversionen lag bei uns, da die Updatemöglichkeit für die Beta-Tester noch auf 3.99.8 stand und heute früh erneut auf 3.99.9 gesetzt wurde. Jetzt am Besten die Modul auf den aktuellen Stand bringen und dann sollte die Warnung kein Problem mehr sein.

Wie hast du die 3.99.9 installiert / runtergeladen?

Liebe Grüße
Wenn du glaubst, es geht nicht mehr, kommt von uns die Hilfe (http://shop.maennchen1.de/kontaktformular/) her.
Hast du wenig Geld, doch dafür Zeit, stell es der Wunschliste (https://wpshopgermany.uservoice.com/for ... 61-general) bereit!

Benutzeravatar
solala
Beiträge: 562
Registriert: 23.09.2011, 20:41
Lizenz: wpShopGermany Enterprise

Re: 3.99.9: Warnung bei Installation Modul Produktartikel

Beitragvon solala » 23.10.2017, 12:26

ThoGoe hat geschrieben:Wie hast du die 3.99.9 installiert / runtergeladen?

Heruntergeladen und in eine frische WP installation installiert.
Habe auch alle Plugins deaktiviert.

Nachdem ich auch die Produktartikel auf 3.99.9 aktualisieren konnte, ging's. :P
Viele Grüße,
von dem der solala programmieren kann.
Produktive Version im Web: 2.5.8 und 3.2.3
"Entwicklungs"-Version auf localhost (Ubuntu 13.10): 3.4.2 mit WP 3.9.1
Antworten bekommt nur noch der, der auch grüßt.

Benutzeravatar
ThoGoe
m1.Mitarbeiter
Beiträge: 2554
Registriert: 21.07.2014, 08:25
Lizenz: wpShopGermany Enterprise

Re: [gelöst:]3.99.9: Warnung bei Installation Modul Produktartikel

Beitragvon ThoGoe » 23.10.2017, 13:13

Hallo!

Das freut mich, dass es nun funktioniert. Vielen Dank für das Feedback!

Liebe Grüße
Wenn du glaubst, es geht nicht mehr, kommt von uns die Hilfe (http://shop.maennchen1.de/kontaktformular/) her.
Hast du wenig Geld, doch dafür Zeit, stell es der Wunschliste (https://wpshopgermany.uservoice.com/for ... 61-general) bereit!


Zurück zu „wpShopGermany4 BETA“

Wer ist online?

Mitglieder in diesem Forum: Google [Bot] und 1 Gast